### Function

# Atk RelationType for_name

#### Declaration [src]

    AtkRelationType
    atk_relation_type_for_name (
      const gchar* name
    )

#### Description [src]

Get the `AtkRelationType` type corresponding to a relation name.

#### Parameters

`name`

  Type: `const gchar*`

  A string which is the (non-localized) name of an ATK relation type.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AtkRelationType`

The `AtkRelationType` enumerated type corresponding to the specified name, or #ATK_RELATION_NULL if no matching relation type is found.